
Foreman - Feature #23039

Remove deleted AuthSource Users from Foreman

03/28/2018 08:11 AM - Timo Goebel

Status: Closed   

Priority: Normal   

Assignee:    

Category: Users, Roles and Permissions   

Target version: 1.18.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/5392

  

Description

In order to comply with German (European?) data privacy laws, users that got removed from active directory (or another LDAP auth

source) have to also be removed from Foreman's database.

We should provide a rake task to achieve this. Users can then set a cron job periodically do the housekeeping.

Associated revisions

Revision b42045f1 - 04/04/2018 11:51 AM - Julian Todt

Fixes #23039 - Remove deleted LDAP users

Adds a rake task ldap:remove_deleted_users which checks all users

that authenticate via LDAP whether their users are valid and

deletes invalid ones.

History

#1 - 04/03/2018 11:29 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/5392 added

#2 - 04/04/2018 11:52 AM - Tomer Brisker

- translation missing: en.field_release set to 330

#3 - 04/04/2018 12:02 PM - Julian Todt

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset b42045f1159a7e22529cc249419d684ef40a6445.

#4 - 07/15/2020 01:28 PM - Tomer Brisker

- Category changed from 218 to Users, Roles and Permissions
